FLAC__StreamMetadata_SeekPoint Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes

FLAC__uint64 | sample_number
FLAC__uint64 | stream_offset
unsigned | frame_samples

## Detailed Description

SeekPoint structure used in SEEKTABLE blocks. (c.f. format specification)

## Member Data Documentation

## sample_number

FLAC__uint64 FLAC__StreamMetadata_SeekPoint::sample_number

The sample number of the target frame.

## stream_offset

FLAC__uint64 FLAC__StreamMetadata_SeekPoint::stream_offset

The offset, in bytes, of the target frame with respect to beginning of the first frame.

## frame_samples

unsigned FLAC__StreamMetadata_SeekPoint::frame_samples

The number of samples in the target frame.

The documentation for this struct was generated from the following file:

- /build/jenkins/v2016.12/machine/hikey/build/tmp-angstrom-glibc/work/aarch64-angstrom-linux/flac/1.3.1-r0/flac-1.3.1/include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |